<?php
/**
 * "attachment.php"
 * This template is used for rendering a file uploaded through the WordPress media upload system.
 *
 * @package tantyyellow
 */

get_header();
?>

<!-- Contents of main -->
<div class="contents contents-width-100 row">

	<!-- Right colum of main contents -->
	<div id="contents-sidebar" class="contents-sidebar contents-sidebar-is-attachment-page width-pc width-tablet" role="navigation" aria-label="<?php esc_attr_e( 'Widgets Sidebar', 'tantyyellow' ); ?>">

		<?php get_sidebar(); ?>

	</div><!-- /#contents-sidebar-is-attachment-page -->



	<!-- Left colum of main contents -->
	<div id="contents-main" class="focusable_elem" aria-label="<?php echo esc_attr__( 'This is the main content of this page', 'tantyyellow' ); ?>" tabindex="0">

		<?php get_template_part( './template-parts/contents/contents', 'heading' ); ?>

		<?php get_template_part( './template-parts/contents/loops/loop', 'attachment' ); ?>

	</div><!-- /#contents-main -->

</div><!-- /#contents -->



<!-- Load footer.php -->
<?php
get_footer();
