<?php
/**
 * Tanty Yellow functions and definitions
 *
 * @package tantyyellow
 */

// ########################################################################################################################
// ##### Functions in order to enable customizer "Panel" & "Section" to nest deeper #######################################
// ########################################################################################################################

require 'src/admin/customize_admin_panel/customizer_enable_panel_section_deeper_nesting/class-tantyyellow-wp-customize-panel.php';

require 'src/admin/customize_admin_panel/customizer_enable_panel_section_deeper_nesting/class-tantyyellow-wp-customize-section.php';

require 'src/admin/customize_admin_panel/customizer_enable_panel_section_deeper_nesting/tantyyellow-customizer-enable-panel-section-deeper-nesting.php';



// ########################################################################################################################
// ##### Functions in order to extend class "Tantyyellow_Customizer_Range_Control" to "WP_Customize_Control" ##############
// ########################################################################################################################




// ########################################################################################################################
// ##### Functions in order to (re-)define 'class' ########################################################################
// ########################################################################################################################

/* ===== Extend class "Tantyyellow_Customizer_Range_Control" to "WP_Customize_Control" ======= */
require 'functions/classes/class-tantyyellow-customizer-range-control.php';

/* ===== Extend class "Tantyyellow_Custom_Walker_Nav_Menu" to "Walker_Nav_Menu" ============== */
require 'functions/classes/class-tantyyellow-custom-walker-nav-menu.php';



// ########################################################################################################################
// ##### Functions in order to get 'path', 'name', 'value', and so on #####################################################
// ########################################################################################################################

require 'functions/gets.php';



// ########################################################################################################################
// ##### Functions in order to set up theme ###############################################################################
// ########################################################################################################################

require 'functions/setups.php';



// ########################################################################################################################
// ##### Functions in order to output 'CSS' in <head> & 'Javascript' before </body> #######################################
// ########################################################################################################################

require 'functions/scripts.php';



// ########################################################################################################################
// ##### Functions in order to sanitize & validate ########################################################################
// ########################################################################################################################

require 'functions/sanitize-validate.php';



// ########################################################################################################################
// ##### Functions in order to customize theme ############################################################################
// ########################################################################################################################

require 'functions/theme-customizer/theme-customizer.php';



	// ########################################################################################################################
	// ##### Functions for 'Site Basic Settings' to customize theme ( Priority: 21 ) ##########################################
	// ########################################################################################################################

	require 'functions/theme-customizer/theme-customizer-site-basic.php';



	// ########################################################################################################################
	// ##### Functions for 'Fonts' to customize theme #########################################################################
	// ########################################################################################################################

	require 'functions/theme-customizer/theme-customizer-fonts.php';



	// ########################################################################################################################
	// ##### Functions for 'Colors' to customize theme ########################################################################
	// ########################################################################################################################

	require 'functions/theme-customizer/theme-customizer-colors.php';



// ########################################################################################################################
// ##### Other functions ##################################################################################################
// ########################################################################################################################

require 'functions/etc.php';



// ########################################################################################################################
// ##### Functions in order to output HTML ################################################################################
// ########################################################################################################################

require 'functions/outputs.php';



// ########################################################################################################################
// ##### Functions in order to output HTML for pagination #################################################################
// ########################################################################################################################

require 'functions/paginations.php';



// ########################################################################################################################
// ##### Functions in order to initialize "Contextual Help" ###############################################################
// ########################################################################################################################

require 'functions/contextual-helps.php';



/* Don't add PHP closing tag '?>'. */
