/* ######################################################################################################################## */
/* ##### tantyyellow_admin_panel_theme_customizer_screen.js ############################################################### */
/* ######################################################################################################################## */

/* ************************************************************************************************************** */
/* ***** In order to initialize 'Theme Customizer Screen' at 'Admin Panel' ************************************** */
/* ************************************************************************************************************** */

/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* +++++ Beginning of Pure Javascript +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */

document.addEventListener ( "DOMContentLoaded", tantyyellow_init_admin_panel_theme_customizer_screen_JS );

/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
function tantyyellow_init_admin_panel_theme_customizer_screen_JS () { /* ++++++++++++++++++++++++++++++ */
/* +++++ Beginning of Pure Javascript +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */

    /* ===== In order to add 'disabled' attr to <option value="blank_space"> ==================== */
    /* ========== under <select> at 'Fonts' under 'Theme Customizer Screen' ===================== */
    for ( defaultFont of document.querySelectorAll( "select option[value *= 'default_font']" ) ) {
		defaultFont.setAttribute( "disabled", true );
	}

    for ( englishFont of document.querySelectorAll( "select option[value *= 'english_fonts']" ) ) {
		englishFont.setAttribute( "disabled", true );
	}

    for ( japaneseFont of document.querySelectorAll( "select option[value *= 'japanese_fonts']" ) ) {
		japaneseFont.setAttribute( "disabled", true );
	}

    for ( blankDefault of document.querySelectorAll( "select option[value *= 'blank_default']" ) ) {
		blankDefault.setAttribute( "disabled", true );
	}

    for ( blankEn of document.querySelectorAll( "select option[value *= 'blank_en']" ) ) {
		blankEn.setAttribute( "disabled", true );
	}

    for ( blankJa of document.querySelectorAll( "select option[value *= 'blank_ja']" ) ) {
		blankJa.setAttribute( "disabled", true );
	}

/* +++++ End of Pure Javascript +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
} /* ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */
/* ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++ */