<?php
/**
 * "404.php"
 * This template is used for rendering 404 Not Found page.
 *
 * @package tantyyellow
 */

get_header();
?>

<!-- Contents of main -->
<div class="contents contents-width-100">

	<!-- Right colum of main contents -->
	<div id="contents-sidebar" class="contents-sidebar contents-sidebar-is-404-page width-pc width-tablet" role="navigation" aria-label="<?php esc_attr_e( 'Widgets Sidebar', 'tantyyellow' ); ?>">

		<?php get_sidebar(); ?>

	</div><!-- /#contents-sidebar-is-404-page -->



	<!-- Left colum of main contents -->
	<div id="contents-main" class="focusable_elem" aria-label="<?php echo esc_attr__( 'This is the main content of this page', 'tantyyellow' ); ?>" tabindex="0">

		<?php get_template_part( './template-parts/contents/contents', 'heading' ); ?>

		<p class="not-found-icon"><i class="fas fa-exclamation-triangle"></i></p>

		<p class="not-found-apology">
			<?php esc_html_e( 'We are sorry, but the page you are looking for doesn\'t exist, has been removed, or doesn\'t allow you to access this page.', 'tantyyellow' ); ?>
		</p>

	</div><!-- /#contents-main -->

</div><!-- /.contents -->



<!-- Load footer.php -->
<?php
get_footer();
