<?php
/**
 * "searchform.php"
 * This template is used for rendering a search form.
 *
 * @package tantyyellow
 */

?>
<form method="get" role="search" class="form-inline" action="<?php echo esc_url( home_url( '/' ) ); ?>" aria-label="<?php esc_attr_e( 'Search Form', 'tantyyellow' ); ?>">

	<input type="search" placeholder="<?php esc_attr_e( 'Keyword', 'tantyyellow' ); ?>" name="s" class="form-control tantyyellow-input-search" aria-label="<?php esc_attr_e( 'Please input a keyword in this search form text field', 'tantyyellow' ); ?>" value="<?php echo esc_attr( get_search_query( false ) ); ?>">

	<button type="submit" class="btn btn-outline-success tantyyellow-search-btn" aria-label="<?php esc_attr_e( 'Please click this button to see your search result.', 'tantyyellow' ); ?>" disabled>
		<i class="fas fa-search"></i>
	</button>

</form>
